#ifndef _ENEMY_MODE_SCENE_
#define _ENEMY_MODE_SCENE_

#include <HPLE3DLapper.h>

namespace MotionTest {
/** 敵操作モード
  *
  */
class EnemyModeScene : public HPL::General::AbstractScene {
private:
	//! 操作対象の敵SIGID
	int m_nControlEnemySigID;

	HPL::E3D::E3DObject* m_Enemy;

public:
	EnemyModeScene();
	virtual ~EnemyModeScene();

	void init();
	void process();
	void quit();

private:
	//! カメラ移動
	//int moveCamera();

	//! 文字列描画
	int drawText();

	//! レンダリング
	int render();

	//! フレームごとの移動処理
	int frameMove();
};

}

#endif
